%define rname spank-tigress
Name:		slurm-%{rname}
Version:	0.2
Release:	1%{?dist}.3
Summary:	Slurm spank plugin to regulate presence/absence of tigress and projects
License:	Unknown

Source0:	tigress_spank.c
Source1:	job_submit.lua.example
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	slurm-devel gcc
Requires:	slurm

%description
This is a SPANK plugin for Slurm to allow users to specify if tigress and projects
will be available in their jobs.

%prep
%setup -T -c -n %{rname}
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
gcc -fPIC -shared -g -o tigress_spank.so tigress_spank.c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/slurm %{buildroot}/etc/slurm/plugstack.conf.d
install -m 755 tigress_spank.so %{buildroot}%{_libdir}/slurm
echo "optional %{_libdir}/slurm/tigress_spank.so" > %{buildroot}/etc/slurm/plugstack.conf.d/tigress.conf

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc job_submit.lua.example
%{_libdir}/slurm/tigress_spank.so
%dir /etc/slurm/plugstack.conf.d
/etc/slurm/plugstack.conf.d/tigress.conf

%changelog
* Sun Jan 07 2024 Josko Plazonic <plazonic@princeton.edu> 0.1-1.sdl8
- initial build
